For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETIncome Statement
      • GETBalance Sheet
      • GETDerived Metrics
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataFinancials

Balance Sheet

GET
/api/v1/group/:group_id/deal/:deal_id/data/financials/balance-sheet
GET
/api/v1/group/:group_id/deal/:deal_id/data/financials/balance-sheet
$curl https://app.termina.ai/api/v1/group/1/deal/1/data/financials/balance-sheet \
> -H "Authorization: Bearer <token>"
1{
2 "freq": "Q",
3 "unit": "USD",
4 "balance_sheet": [
5 {
6 "field_id": 42,
7 "date": "2026Q1",
8 "field": "Cash",
9 "value": 500000,
10 "parent_field_id": 10,
11 "level_1_category": "Assets",
12 "level_2_category": "Current Assets",
13 "subcategory": "Cash",
14 "forecast": false
15 }
16 ]
17}
Get the balance sheet hierarchy for the company associated with the deal.
Was this page helpful?
Previous

Derived Metrics

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Response

Successful Response
freqenum
The frequency of the balance sheet data.
Allowed values:
unitstring
The display unit for monetary values.
balance_sheetlist of objects

Flattened hierarchy of balance sheet nodes with imputed values. Category fields (level_1_category, level_2_category, subcategory) are only populated on leaf nodes to enable trivial aggregation by grouping. Intermediate/aggregate nodes have null categories and carry pre-computed subtotals in their value field.

Errors

422
Unprocessable Entity Error